---
CompileFlags:
  Compiler: gcc
Index:
  Background: Build
  StandardLibrary: true
Diagnostics:
  UnusedIncludes: None
  MissingIncludes: None
  ClangTidy:
    FastCheckFilter: Strict
    Add:
      - clang-analyzer*
      - bugprone*
      - misc*
      - performance*
    Remove:
      - bugprone-narrowing-conversions
      - bugprone-integer-division
      - bugprone-implicit-widening-of-multiplication-result
      - bugprone-switch-missing-default-case
      - bugprone-easily-swappable-parameters
      - bugprone-reserved-identifier
